./goblint --conf /mnt/goblint-svcomp/goblint-bench/bench/index/conf/concrat.json --enable ana.sv-comp.enabled --enable ana.sv-comp.functions --disable witness.enabled --sets ana.specification /mnt/goblint-svcomp/goblint-bench/bench/concrat/properties/no-data-race.prp --sets exp.architecture 64bit /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c


--------------------------------------------------------------------------------


--sets is deprecated, use --set instead.
--sets is deprecated, use --set instead.
SV-COMP specification: CHECK( init(main()), LTL(G ! data-race) )

runtime: 00:00:10.247
vars: 30144, evals: 40147

|rho|=30144
|stable|=29852
|infl|=26363
|wpoint|=7
|sides|=2589
|side_dep|=0
|side_infl|=0
|var_messages|=0
|rho_write|=0
|dep|=25783
|called|=3787
Found 2162 contexts for 52 functions. Top 5 functions:
739	contexts for L:entry state of mdb_cursor_sibling (5237) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4784:1-4831:1
738	contexts for L:entry state of mdb_cursor_pop (5233) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4320:1-4335:1
100	contexts for L:entry state of mdb_cmp_int (5252) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4127:1-4139:1
100	contexts for L:entry state of mdb_cmp_long (5254) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4114:1-4126:1
100	contexts for L:entry state of mdb_cmp_cint (5253) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4140:1-4163:1

Memory statistics: total=23037.91MB, max=132.00MB, minor=23028.74MB, major=286.61MB, promoted=277.43MB
    minor collections=10990  major collections=18 compactions=0


runtime: 00:00:20.304
vars: 51846, evals: 59019

|rho|=51846
|stable|=51555
|infl|=43352
|wpoint|=7
|sides|=4476
|side_dep|=0
|side_infl|=0
|var_messages|=0
|rho_write|=0
|dep|=44655
|called|=8501
Found 4049 contexts for 52 functions. Top 5 functions:
1682	contexts for L:entry state of mdb_cursor_pop (5233) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4320:1-4335:1
1682	contexts for L:entry state of mdb_cursor_sibling (5237) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4784:1-4831:1
100	contexts for L:entry state of mdb_cmp_int (5252) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4127:1-4139:1
100	contexts for L:entry state of mdb_cmp_long (5254) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4114:1-4126:1
100	contexts for L:entry state of mdb_cmp_cint (5253) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4140:1-4163:1

Memory statistics: total=30581.53MB, max=200.75MB, minor=30569.71MB, major=398.39MB, promoted=386.57MB
    minor collections=14587  major collections=20 compactions=0


runtime: 00:00:30.351
vars: 66342, evals: 71623

|rho|=66342
|stable|=66051
|infl|=54695
|wpoint|=7
|sides|=5737
|side_dep|=0
|side_infl|=0
|var_messages|=0
|rho_write|=0
|dep|=57259
|called|=11653
Found 5310 contexts for 52 functions. Top 5 functions:
2313	contexts for L:entry state of mdb_cursor_sibling (5237) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4784:1-4831:1
2312	contexts for L:entry state of mdb_cursor_pop (5233) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4320:1-4335:1
100	contexts for L:entry state of mdb_cmp_int (5252) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4127:1-4139:1
100	contexts for L:entry state of mdb_cmp_long (5254) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4114:1-4126:1
100	contexts for L:entry state of mdb_cmp_cint (5253) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4140:1-4163:1

Memory statistics: total=35963.35MB, max=230.87MB, minor=35949.19MB, major=475.13MB, promoted=460.97MB
    minor collections=17152  major collections=21 compactions=0


runtime: 00:00:40.423
vars: 78754, evals: 82418

|rho|=78754
|stable|=78463
|infl|=64404
|wpoint|=7
|sides|=6816
|side_dep|=0
|side_infl|=0
|var_messages|=0
|rho_write|=0
|dep|=68054
|called|=14356
Found 6389 contexts for 52 functions. Top 5 functions:
2852	contexts for L:entry state of mdb_cursor_pop (5233) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4320:1-4335:1
2852	contexts for L:entry state of mdb_cursor_sibling (5237) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4784:1-4831:1
100	contexts for L:entry state of mdb_cmp_int (5252) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4127:1-4139:1
100	contexts for L:entry state of mdb_cmp_long (5254) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4114:1-4126:1
100	contexts for L:entry state of mdb_cmp_cint (5253) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4140:1-4163:1

Memory statistics: total=40777.09MB, max=305.32MB, minor=40761.66MB, major=541.08MB, promoted=525.64MB
    minor collections=19447  major collections=21 compactions=0

[Error][Analyzer] About to crash at mark transfer function at /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4326:5-4326:59!

runtime: 00:00:43.830
vars: 82709, evals: 85857

|rho|=82709
|stable|=82418
|infl|=67497
|wpoint|=7
|sides|=7160
|side_dep|=0
|side_infl|=0
|var_messages|=0
|rho_write|=0
|dep|=71493
|called|=15219
Found 6733 contexts for 52 functions. Top 5 functions:
3024	contexts for L:entry state of mdb_cursor_pop (5233) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4320:1-4335:1
3024	contexts for L:entry state of mdb_cursor_sibling (5237) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4784:1-4831:1
100	contexts for L:entry state of mdb_cmp_int (5252) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4127:1-4139:1
100	contexts for L:entry state of mdb_cmp_long (5254) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4114:1-4126:1
100	contexts for L:entry state of mdb_cmp_cint (5253) on /mnt/goblint-svcomp/goblint-bench/bench/concrat/lmdb/main.c:4140:1-4163:1

Memory statistics: total=42366.14MB, max=305.32MB, minor=42349.46MB, major=563.25MB, promoted=546.57MB
    minor collections=20205  major collections=22 compactions=0


Fatal error: exception Stack overflow
